Summary:	Lexmark 2070 Printer color driver
Name:		c2070
Version:	0.99
Release:	%mkrel 19
Group:		System/Printing
License:	GPL
URL:		https://www.openprinting.org/driver/%{name}
Source0:	ftp://mirror.linuxsoft.cz/pool/5865/%{name}-%{version}.tar.gz
Patch0:		c2070-0.99-looplimits.patch
Patch1:		0001-c2070-fix-implicit-type.patch
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007

%description
This filter allows to color print in a Lexmark 2070 (windows GDI) printer.

%prep

%setup -q
%autopatch -p1

%build
%{__cc} %{optflags} %{ldflags} -o c2070 c2070.c

%install
install -d %{buildroot}/%{_bindir}
install -m0755 c2070 %{buildroot}/%{_bindir}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%attr(0755,root,root) %{_bindir}/c2070




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.99-19.mga10
+ Revision: 2225134
- Mageia 10 Mass Rebuild

* Mon Jul 22 2024 papoteur <papoteur> 0.99-18.mga10
+ Revision: 2082245
- fix build with GCC14 (implicit int)

* Mon Mar 14 2022 umeabot <umeabot> 0.99-18.mga9
+ Revision: 1791529
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 17.mga8-current
+ Revision: 1511156
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 0.99-16.mga7
+ Revision: 1295831
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.99-15.mga6
+ Revision: 942540
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.99-14.mga5
+ Revision: 745522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99-13.mga5
+ Revision: 678274
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.99-12.mga4
+ Revision: 503250
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.99-11.mga3
+ Revision: 347285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.99-10.mga1
+ Revision: 57775
- imported package c2070


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.99-10mdv2011.0
+ Revision: 603815
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.99-9mdv2010.1
+ Revision: 522335
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.99-8mdv2010.0
+ Revision: 413212
- rebuild

* Wed Dec 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99-7mdv2009.1
+ Revision: 318449
- use %%ldflags

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.99-6mdv2009.0
+ Revision: 220497
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.99-5mdv2008.1
+ Revision: 149061
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.99-4mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99-4mdv2008.0
+ Revision: 75321
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99-3mdv2008.0
+ Revision: 64142
- use the new System/Printing RPM GROUP

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99-2mdv2008.0
+ Revision: 61078
- rebuild

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99-1mdv2008.0
+ Revision: 60971
- Import c2070



* Thu Aug 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.99-1mdv2008.0
- initial Mandriva package

* Tue Jun 01 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-06-01 14:29:49 (62217)
- This driver was seg. faulting and no corrections seems to available.
    I hope this fixes it the right way, since no one can test it.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 17:23:54 (7430)
- Imported package from 8.0.
